| Classes | Functions | DevRef | Qt API | Qtopia Documentation |

# FontDatabase Class Reference

The FontDatabase class provides information about available fonts. More...

`#include <fontdatabase.h>`

List of all member functions.

## Public Members

- FontDatabase ()
- QStringList families () const

## Static Public Members

- void loadRenderers ()

## Detailed Description

The FontDatabase class provides information about available fonts.

Most often you will simply want to query the database for the available font families().

Use FontDatabase rather than QFontDatabase when you may need access to fonts that are not normally available. For example, if the freetype library and the Qtopia freetype plugin are installed, TrueType fonts will be available to your application. Font renderer plugins have greater resource requirements than system fonts so they should be used only when necessary. You can force the loading of font renderer plugins with loadRenderers().

## Member Function Documentation

### FontDatabase::FontDatabase ()

Constructs a FontDatabase object.

### QStringList FontDatabase::families () const

Returns a list of names of all the available font families.

### void FontDatabase::loadRenderers ()`[static]`

Load any font renderer plugins that are available and make the fonts that the plugins can read available.

This file is part of the Qtopia , copyright © 1995-2002 Trolltech, all rights reserved.